
QGIS Application - Bug report #20402

Temporary files not deleted upon closing

2018-11-08 08:55 AM - Andrea Giudiceandrea

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28222

Description

On Windows 7 64 bit a temporary folder (name like QGIS3-pIVhju) and a temporary file (name like QGIS3.FVdPpz) are created in the

user temp directory (usually C:\Users\...\AppData\Local\Temp) upon every start of QGIS.

When QGIS is closed, the temporary folder and file are not deleted from the temp directory.

The same happens when crrsync.exe is executed after the install of a new QGIS version (crssync-vYfrXP - crssync.pVouJf)

[ https://trac.osgeo.org/osgeo4w/ticket/583 ]

Related issues:

Duplicated by QGIS Application - Bug report # 21292: Qgis 3 temporary data st... Closed 2019-02-16

Associated revisions

Revision b141349c - 2019-04-01 12:02 AM - Jürgen Fischer

fix removal of temporary directories

Revision 9820e6b2 - 2019-04-01 01:30 AM - Nyall Dawson

Revert "fix removal of temporary directories"

This reverts commit b141349c90be91f191f612b7e2a349adde3c6349, which

causes crashes in almost every unit test.

Revision 88513284 - 2019-04-01 02:18 PM - Jürgen Fischer

fix removal of temporary directories (fixes #21292)

History

#1 - 2018-11-08 08:57 AM - Andrea Giudiceandrea

- Operating System set to Windows

#2 - 2018-11-08 09:58 AM - Giovanni Manghi

- Category changed from Unknown to Windows Package

#3 - 2018-11-08 10:23 AM - Jürgen Fischer

- Category changed from Windows Package to Unknown
- Operating System deleted (Windows)

On Linux the temporary files are in /tmp - otherwise the same issue.

#4 - 2019-02-17 12:58 AM - Andrea Giudiceandrea

- Duplicated by Bug report #21292: Qgis 3 temporary data stay in /tmp even if Qgis is closed added

#5 - 2019-02-17 01:28 AM - Andrea Giudiceandrea

- Affected QGIS version changed from 3.4.1 to 3.4.4

Confirmed in QGIS 3.4.4 and QGIS master (3.5 407adc761e)

#6 - 2019-02-17 01:29 AM - Andrea Giudiceandrea

- Description updated

#7 - 2019-02-18 02:23 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.4 to 3.5(master)

#8 - 2019-03-20 08:31 PM - Andrea Giudiceandrea

- Affected QGIS version changed from 3.5(master) to 3.7(master)

#9 - 2019-04-01 04:11 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed
